Informàtica · Wordpress

Actualitzant a WordPress 2.3.3

WordPress ha anunciat una actualització de seguretat urgent en la seva implementació XML-RPC que permetria que amb una petició manipulada previament, un usuari vàlid pogués editar qualsevol post d’un altre usuari del blog.

Com sempre, podem veure els detalls d’aquesta release a la web de WordPress, des d’on ens podem baixar directament el fitxer xmlrpc.php que resol el bug de seguretat, o bé tota la release que també resol altres petits bugs i seria el més recomanable.

També podem actualitzar únicament aquells fitxers que han canviat. Per fer-ho hem de fer un cop d’ull al repositori de la versió, li donem al botó “View Changes” que hi ha a baix de tot, un cop allà canviem el From perquè indicar la versió de la que venim, en aquest cas tags/2.3.2 i ens assegurem que al To hi posi el nou tags/2.3.3, i ja podem prémer “View Changes” altre cop, amb el que ens apareix la llista de fitxers modificats, de manera que sobreescrivint únicament aquests fitxers ja tindrem el WordPress actualitzat, i donat que aquesta actualització no modifica la base de dades ja no ens cal fer res més.

Així doncs, primer és recomanable que us feu un backup per si de cas, i després:

  1. Descarreguem l’últim WordPress de la secció downloads.
  2. Mirem els fitxers modificats tal com explico a l’anterior paràgraf i hi trobem els següents:
    1. wp-includes/gettext.php
    2. wp-includes/version.php
    3. wp-includes/pluggable.php
    4. xmlrpc.php
    5. wp-admin/install-helper.php
  3. Substituïm els fitxers de la llista anterior a la nostra instal·lació i llestos.

Apa, ara ja podem estar tranquils uns quants dies més.

Si t'ha agradat l'article pots convidar-me a una birra

Be Sociable, Share!